<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddGeoLocationPolicyReq StructType
 * @subpackage Structs
 */
class AddGeoLocationPolicyReq extends APIRequest
{
    /**
     * The geoLocationPolicy
     * @var XGeoLocationPolicy
     */
    public $geoLocationPolicy;
    /**
     * Constructor method for AddGeoLocationPolicyReq
     * @uses AddGeoLocationPolicyReq::setGeoLocationPolicy()
     * @param XGeoLocationPolicy $geoLocationPolicy
     */
    public function __construct(XGeoLocationPolicy $geoLocationPolicy = null)
    {
        $this
            ->setGeoLocationPolicy($geoLocationPolicy);
    }
    /**
     * Get geoLocationPolicy value
     * @return XGeoLocationPolicy|null
     */
    public function getGeoLocationPolicy()
    {
        return $this->geoLocationPolicy;
    }
    /**
     * Set geoLocationPolicy value
     * @param XGeoLocationPolicy $geoLocationPolicy
     * @return AddGeoLocationPolicyReq
     */
    public function setGeoLocationPolicy(XGeoLocationPolicy $geoLocationPolicy = null)
    {
        $this->geoLocationPolicy = $geoLocationPolicy;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddGeoLocationPolicyReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
